Subject: changing user-id "From:" mapping

From: [email-masked] (Jim Kieley)
Date: Wed, 09 Jul 1997 11:54:05 -0700

We are having problems trying to get both PC Pine and UNIX Pine provide
the desired "From" address when replying to mail messages.

We're using Netscape's mailserver 2.02. We recently changed our domain
domain and along with it we decided to change the structure for email
addresses from lastnamefirstinitial@domain (8 letter max.) to
firstname.lastname@domain (no 8 letter limit).

In addition to Pine users we also have people using Netscape mail
clients.  Netscape client can get its "From" information from the
primary alias on the server which for us now is
firstname.lastname@domain.  This alias is independent of the POP/IMAP
username on the server. PC Pine seems to get its "From:" information
from user-id and user-domain specs in pinerc.  "user-id" maps back to
POP/IMAP username on the server for authentication, so by changing this
parameter to firstname.lastname on both the server and within pinerc
everything works OK..

Our problem is that the same people who use PCPine or Communicator on
site also login via a terminal shell from home to the UNIX box mail
server.  Here they need UNIX Pine.  UNIX pine config files have no
user-id field. user-id appears to be mapped to /etc/passwd which has the
8 character limit.  Typing in firstname.lastname and overwriting the
UNIX account id that shows up by default will provide access to inbox,
but then any navigation to other areas will continue to generate
user-id/password requests with UNIX account id showing up time after
time. I have to log in about four times to send a message
using firstname.lastname as a user-id.

Is it possible to have a configuration that meets all of the parameters
I have specified (i.e., first.lastname@domain "From" identifier, and
compatibility with both UNIX Pine and PC Pine clients)?  I assume I may
be overlooking something as firstname.lastname@domain is a fairly
standard addressing scheme.  Any suggestions would be appreciated.

Jim Kieley
[email-masked]